<?php
function x_3a($x_3k = Array()) { 
global $x_33; 
define('PERIOD_START', $x_3k['periodStart']); 
define('PERIOD_END', $x_3k['periodEnd']); 
define('TITLE', '<kerio:text id="tabCaption_sites" />'); 
$x_1 = kerio("webiface::PhpSession"); 
$x_1->getStarInfo(&$x_4); 
$x_16n = $x_4['webStatsTopN']; 
$x_1->getUserLanguage(&$x_4w); 
if (!$x_16n || $x_16n <= 0) { 
$x_16n = 10; 
} elseif ($x_16n > 100) { 
$x_16o = $x_16n; 
$x_16n = 100; 
} 
define('TOP_DISPLAYED', $x_16n); 
$x_173 = new x_km('sites', 
'sites_icon_print.gif', 
TITLE, 
$x_3k['dateString']); 
$x_8b = new x_8c(); 
$x_173->x_kn = TOP_DISPLAYED; 
$x_16u = $x_8b->x_lv(PERIOD_START, 
PERIOD_END, 
false, 
TOP_DISPLAYED, 
$x_33); 
$x_173->x_e0($x_16u, 1); 
$x_7d = $x_8b->x_lq( $x_16u, 
PERIOD_START, 
PERIOD_END, 
TOP_DISPLAYED, 
TOP_DISPLAYED, 
$x_33, 
160); 
$x_175 = Array('<kerio:text id="lang_user" />', '<kerio:text id="visits" />'); 
$x_176 = Array('user', 'data'); 
$x_173->x_e0(Array($x_7d['tableData'], $x_175, $x_176, '<kerio:text id="visitsSmall" />'), 2); 
return $x_173->x_lh(); 
} 
?>
